### Method

# Clutter Stage get_actor_at_pos

#### Declaration [src]

    ClutterActor*
    clutter_stage_get_actor_at_pos (
      ClutterStage* stage,
      ClutterPickMode pick_mode,
      float x,
      float y
    )

#### Description [src]

Checks the scene at the coordinates `x` and `y` and returns a pointer to the `ClutterActor` at those coordinates. The result is the actor which would be at the specified location on the next redraw, and is not necessarily that which was there on the previous redraw. This allows the function to perform chronologically correctly after any queued changes to the scene, and even if nothing has been drawn.

By using `pick_mode` it is possible to control which actors will be painted and thus available.

#### Parameters

`pick_mode`

  Type: `ClutterPickMode`

  How the scene graph should be painted.

`x`

  Type: `float`

  X coordinate to check.

`y`

  Type: `float`

  Y coordinate to check.

#### Return value

Type: `ClutterActor`

The actor at the specified coordinates, if any.

The returned data is owned by the instance.